Distribution:   CCux
Packager:       Stefan Gottwald <gotti@ccux-linux.de>

Summary: 	Utilities for configuring the linux ethernet bridge.
Name:           bridge-utils
Version:        1.4
Release:        1
License:        GNU/GPL
URL:            http://bridge.sourceforge.net
Group:          System/Configuration/Networking
Source0:        %{name}-%{version}.tar.gz
Source1:        bridge.sysconfig
Source2:        bridge.init
BuildRoot:      %{_tmppath}/%{name}-buildroot
Requires:	iproute2
BuildRequires:	glibc-devel

%description
This package contains utilities for configuring the linux ethernet
bridge. The linux ethernet bridge can be used for connecting multiple
ethernet devices together. The connecting is fully transparent: hosts
connected to one ethernet device see hosts connected to the other
ethernet devices directly.

Install bridge-utils if you want to use the linux ethernet bridge.

%package devel
Summary: 	Utilities for configuring the linux ethernet bridge.
Group: 		%{group}
Requires:	%{name} = %{version}-%{release}

%description devel
The bridge-utils-devel package contains the header and object files
necessary for developing programs which use 'libbridge.a', the
interface to the linux kernel ethernet bridge. If you are developing
programs which need to configure the linux ethernet bridge, your
system needs to have these standard header and object files available
in order to create the executables.

Install bridge-utils-devel if you are going to develop programs which
will use the linux ethernet bridge interface library.

%post
/sbin/ldconfig
/sbin/chkconfig --add bridge
/sbin/chkconfig bridge off

%preun
if [ $1 = 0 ]; then
    /sbin/chkconfig --del bridge
fi

%postun
/sbin/ldconfig


%prep
%setup -q

%build
autoconf
./configure --prefix=%_prefix \
--mandir=%_mandir
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT{%_sbindir,%_includedir,%_libdir,%_mandir/man8}
install -m755 brctl/brctl $RPM_BUILD_ROOT%_sbindir
gzip doc/brctl.8
install -m 644 doc/brctl.8.gz $RPM_BUILD_ROOT%_mandir/man8
install -m 644 libbridge/libbridge.h $RPM_BUILD_ROOT%_includedir
install -m 644 libbridge/libbridge.a $RPM_BUILD_ROOT%_libdir
install -m644 %{SOURCE1} -D %{buildroot}%{_sysconfdir}/sysconfig/bridge
install -m755 %{SOURCE2} -D %{buildroot}%{_initrddir}/bridge

%files
%defattr (-,root,root)
%doc AUTHORS COPYING doc/FAQ doc/HOWTO doc/RPM-GPG-KEY
%_sysconfdir
%_sbindir/brctl
%_mandir/man8/brctl.8.gz

%files devel
%defattr (-,root,root)
%_includedir/libbridge.h
%_libdir/libbridge.a

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Jan 08 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.4-1
- Version update
* Sat Mar 03 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.2-1
- Version update
* Fri Nov 04 2005 Christian Wasem <wasem@ccux-linux.de> 1.0.6-2
- tweaked specfile
* Mon Oct 03 2005 Stefan Gottwald <gotti@ccux-linux.de> 1.0.6-1
- Initial CCUX Release
* Tue May 25 2004 Stephen Hemminger <shemminger@osdl.org>
- cleanup to work for 1.0 code
- add dependency on sysfs
* Wed Nov 07 2001 Matthew Galgoci <mgalgoci@redhat.com>
- initial cleanup of spec file from net release
